Bug 1361816 - python2-certbot-apache not installable due to broken python2-augeas dependency
Summary: python2-certbot-apache not installable due to broken python2-augeas dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-certbot-apache
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-30 21:35 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2016-11-25 23:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-25 23:03:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2016-07-30 21:35:26 UTC
Description of problem:
It's not possible to install python2-certbot-apache due to broken python2-augeas dependency.

Version-Release number of selected component (if applicable):
python2-certbot-apache-0.8.1-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. dnf install python2-certbot-apache

Actual results:
dnf install python2-certbot-apache
Last metadata expiration check: 4:12:54 ago on Sat Jul 30 19:18:55 2016.
Error: nothing provides python2-augeas needed by python2-certbot-apache-0.8.1-1.fc23.noarch

Expected results:
Package installs successfully.

Additional info:
It looks like only python-augeas exists, not python2-augeas.

Comment 1 Fedora Update System 2016-08-01 09:48:32 UTC
python-certbot-apache-0.8.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-11e1d5bbb4

Comment 2 James Hogarth 2016-08-01 09:48:52 UTC
Thanks for the report. There was a difference in the provides for python-augeas between F23 and current which tripped this build up.

The master/f25 builds have a requires on python-augeas instead.

That's been merged back down to the active branches now.

Comment 3 Fedora Update System 2016-08-01 09:58:10 UTC
python-certbot-apache-0.8.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6133a40acb

Comment 4 Fedora Update System 2016-08-01 20:53:45 UTC
python-certbot-apache-0.8.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-11e1d5bbb4

Comment 5 Fedora Update System 2016-08-01 20:57:01 UTC
python-certbot-apache-0.8.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6133a40acb

Comment 6 Fedora Update System 2016-10-07 08:24:47 UTC
python-certbot-apache-0.8.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-10-09 09:23:34 UTC
python-certbot-apache-0.8.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora End Of Life 2016-11-25 09:28:54 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.